tcextract(1)

NAME
tcextract - read multimedia file from medium, extract or demultiplex requested stream and print to standard output

SYNOPSIS

tcextract
    -i name [ -x codec ] [ -t magic ] [ -a track ] [ -C s-e ] [ -d verbosity ] [ -v ]

COPYRIGHT
tcextract is Copyright (C) by Thomas Oestreich.

DESCRIPTION
tcextract is part of and usually called by transcode.
However, it can also be used independently.
tcextract reads source (from stdin if not explicitely defined) and prints on the standard output.

OPTIONS

-i name
    Specify input source. If ommited, stdin is assumed. tcextract reads streams from file or from stdin.

-C s-e
    extract and print out only this frame interval (video) or bytes (audio) [all]. This option is only supported if the source contains proper information to perform a selective extraction.

-t magic
    source file magic. This option is used to identify the source file format if reading is performed from stdin or tcextract fails to identify the source file format. Supported formats are labeled with magic:
    avi    RIFF AVI-file
    vob    MPEG program streams
    m2v    MPEG elementary video stream
    vdr    MPEG digital video recording
    raw    raw bitstream
    wav    RIFF WAVE audio
    yuv4mpeg    mjpeg-tools stream header format

-x codec
    source pdeudo-codec, if not detected when reading from stdin. Currently, supported parameter for codec are
    mp3    MPEG audio
    ac3    AC3 audio
    a52    A52 audio
    dv    Digital Video DV
    mpeg2    MPEG video
    yv12    Y'CbCr YUV
    rgb    RGB 24-bit
    ps1    MPEG private stream (subtitles)
    pcm    raw audio stream

-a track
    extract selected audio or video track from source.

-d level
    With this option you can specify a bitmask to enable different levels of verbosity (if supported). You can combine several levels by adding the corresponding values: QUIET 0 INFO 1 DEBUG 2 STATS 4 WATCH 8 FLIST 16 VIDCORE 32 SYNC 64 COUNTER 128 PRIVATE 256

-v  Print version information and exit.

NOTES
tcextract is a front end for extracting various raw or encoded audio/video tracks from a source and is used in transcode's import pipeline.

EXAMPLES
The command tcextract -i foo.avi -x mp3 -a 3 extracts MPEG audio track 3 from the AVI-file foo.avi and prints the bitstream to stdout.

AUTHORS
tcextract was written by Thomas Oestreich
<ostreich@theorie.physik.uni-goettingen.de> with contributions from many others. See AUTHORS for details.

SEE ALSO
avifix(1), avisync(1), avimerge(1), avisplit(1), tcprobe(1), tcscan(1), tccat(1), tcdemux(1), tcextract(1), tcdecode(1), transcode(1)